Checks the on-chain status of a swap by transaction hash. Optionally provide chain IDs to speed up the lookup.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/swap/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"txHash": "<string>",
"from": {
"chainId": "<string>",
"chainName": "ETH"
},
"to": {
"chainId": "<string>",
"chainName": "ETH"
}
}
'{
"status": "PENDING",
"error": "<string>",
"explorerLink": "<string>",
"message": "<string>",
"receivingTxLink": "<string>",
"sendingTxLink": "<string>",
"substatus": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/swap/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"txHash": "<string>",
"from": {
"chainId": "<string>",
"chainName": "ETH"
},
"to": {
"chainId": "<string>",
"chainName": "ETH"
}
}
'{
"status": "PENDING",
"error": "<string>",
"explorerLink": "<string>",
"message": "<string>",
"receivingTxLink": "<string>",
"sendingTxLink": "<string>",
"substatus": "<string>"
}